AutoCAD 2013 :: Redefine Block Error
Dec 12, 2012I am trying to edit a description of a block and by following what is in the help it gives me an error. See attached jpeg for error message.
View 5 RepliesI am trying to edit a description of a block and by following what is in the help it gives me an error. See attached jpeg for error message.
View 5 RepliesI have a drawing with multiple instances of a dynamic block. I have a second drawing with said block modified.
I want the first drawing's block to be updated to the modified block without reinserting each block separately.
I don't have the block as a separate file to "insert", only available to copy. With it being dynamic, I don't trust using the block editor and just copy/paste from the modified into the original.
Is there a way to redefine the block?
How do I redefine a block...
I want to insert the new block definition in the place of the old one and overwrite it.
The new block has more attributes than the older instance.
What a good method of going about that?
how I can get VBA to insert/redefine a block reference from another file into a block (of the same name) that already exists in the target drawing?
I've tried using the insertblock method but it produces a 'filer error' - As a bonus point, it'd would also be good to be able to retrieve the contents of the blocks collection in the source drawing in some clever way other than opening it (a bit like browsing using the design centre) ?
ACad, MEP, 3DS Max
Windows 7x64
X5482 @3.2Ghz 8Gb Ram
Quadro FX1700
'How I can replace or redefine block record?'.
I tried the following:
1. Get all the block references
2. Clone it
3. Save to new DateBase
4. Erase old Block REferences and Block Record
5. Copy block references from new DataBase
But it doesn't work.
I'm trying to insert a block, wich contains 2 nested blocks:
1 dynamic block
1 annotive block which has a scale 1:200 with an attribute.
when i'm inserting it trough the toolpalette, and my annoscale is 1:100, the annotive block is converted to the annotive scale 1:100, instead of the 1:200 wich it originally is.
I can't set the annotationscale in the toolpallete, exept when i use macro's. but this also has a drawback.
when i'm inserting the block with a macro, i have to insert a complete drawing wich contains only this one block.This block contains dynamic parameters (i can't add dynamic parameters outside of the blockeditor)
When this block (dwg) is inserted, i explode the block so it becomes the dynamic block again. but the block cannot be redefined, because the actual inserted block is a dwg file.
Is it a drawback of the use of the toolpalette and dynamic / annotive blocks?
I'm working with some "dirty" blocks that contain several attributes. I've cleaned the blocks up by wblocking, cleaning, & purging the newly created block. I also removed any attributes within the file, including those within blocks within the file. I then renamed the file and inserted it into the drawing, and did a replace block with another through express tools. The problem that I have is the blocks are replaced with the clean version, yet the attributes remain. Is there a solution to this. I do not want any attributes to remain and the only way I know how to fix it is to replace them one at a time.
Also, I'm using AutoCAD 2004.
I am using the following function to create a block:
(defun crea-blocco (ip blockname gruppoogg / blkobj sArray c r vla-objects doc) (setq c -1) (repeat (sslength gruppoogg) (setq r (cons (ssname gruppoogg (setq c (1+ c))) r)) ) (setq r (reverse r)) (setq vla-objects (mapcar 'vlax-ename->vla-object r)) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (setq blkobj (vla-add (vla-get-blocks doc) (vlax-3d-point ip) blockname)) (setq sArray (vlax-safearray-fill (vlax-make-safearray vlax-vbObject (cons 0 (1- (length vla-objects)))) vla-objects)) (vla-copyobjects doc sArray blkobj) blkobj)
But if I start this function two times with the same block name, I get a block with the selected objects added to the existing block.
How can I redefine an existing block with vlisp?
I am trying to redefine Block A to Block B, Block C & Block D based off the value of an Attribute in Block A.
If the Attribute in Block A is "1" then redefine to Block B
If the Attribute in Block A is "2" then redefine to Block C
If the Attribute in Block A is "3" then redefine to Block D
I know it should be able to be done using If and Cond functions within a lisp routine, but I am in a hurry with it and don't have the time to research it anymore.
I've got a block with multiple attributes. This is not a problem to redefine the blocks attributes.
Some of the attributes contains dynamic fields (blockplace holder x y z parameters) When i insert a block with such atributes that includes the blockplaceholder dynamic fields i get
X: InsertionPoint => It is recognized as an Dynamic field but displays InsertionPoint. and does not update the value.
How can i update the fielddata from vb.net?
Part of the code I use (where i think the problem is)
For Each attid As ObjectId In refbtr attent = tr.GetObject(attid, OpenMode.ForRead) If TypeOf attent Is AttributeDefinition Then Dim attdef As AttributeDefinition = attent Dim attref As New AttributeReference() attref.SetAttributeFromBlock(attdef, myBlockRef.BlockTransform) Dim attrefid As ObjectId = myBlockRef.AttributeCollection.AppendAttribute(attref) tr.AddNewlyCreatedDBObject(attref, True) End IfNext
I have the following code to redefine a block after a command has ended:
(vl-load-com);*********************************************************(defun Redefine() (command "_.INSERT" "reactortest=reactortest" nil)(princ "Block redefined."));****************************************(vlr-command-reactor nil '((:vlr-commandEnded . endCommand)));******************************************************(defun endCommand (calling-reactor endcommandInfo / thecommandend) ; Get the name of the command.(setq thecommandend (nth 0 endcommandInfo)); Check name of the command.(cond ((= thecommandend "PLINE") (Redefine)));cond(princ));defun(princ)
It doesn't work because INSERT is an interactive function and can't be called while a reactor is active. Is there another way to redefine a block that can be used in a reactor? The block is in one of the default search path's.
Every time I attempt to insert a block with an attribute in it from my tool pallet I get the error FATAL ERROR: Unhandled Acess Violation Reading 0x0020 Exception at 4260af08u.
If I insert a block without attributes it works fine. I even tried building a block in 2013 and then inserting it from the toolpallet, still fatal error's out.
If you create a group, after that select it and click on the insertion point (grip) using a lot of time the space bar (to switch between move, rotate, scale and mirror) after a while autocad crash.
Tested in AutoCAD 2013 and 2014 in more the one installation.
I'm trying to change block the definition of an block reference.
I did something like this:
blockreference.BlockTableRecord = newBlock.ObjectId;
In most cases this works well. However I found a case that it not work as well. When I try to change the definition from a new block that I have created in my test DWG, it disappears from the model.
We use a number of blocks with block tables for data extraction here, and whenever one of the blocks is modified and updated, all of the block tables reset to the default value. This happens for any block reference change, not just changes to the block table (which makes sense that it would reset).
How can we update these blocks without having to manually change all of the block tables afterwards?
I am in the process of fixing one of our dynamic blocks. It's a fairly simple fix where there was a typo in one of the names of our items in the lookup that needed to be fixed.
I changed the name of the item in the lookup table. I went and did the test block and it seemed to work fine, but when I bring the block into a drawing, it reverts back to the old lookup as if I did nothing at all.
I made sure that the path was correct and I even just dragged and dropped straight from Windows Explorer to no avail.Does AutoCAD keep referring to the old block? Did I forget to change something else?
my problem is whenever i make a new block a stretch point appears even if its not a dynamic block . also its not a stretch point, because when i click on it, it just move the block , and it always appear on the coordinates 0,0 it cause me a problem when I insert the block , autocad use this point as a base point , and its very far from the real block .
View 1 Replies View RelatedI have 2 drawings with the following content :
Drawing 1 : Contains tree blocks that have a specific scale dependant on the tree size
Drawing 2 : Contains a block with just a point and attribute data about the tree (name, size etc.)
This block is approximatly at the same location as the tree block (0,1 m precision)
Problem I want to join these two items together. In other words, in the tree block that is scaled correctly i want the attribute data with the name, size etc. These blocks don't have a corresponding unique number or something like that.
I have an assembly that was created on 64 bit version of Inventor 2013, the total file size of everything is around 150MB. Even if I use 'Pack and Go' to move the file to another computer running the 32 bit version I get an error when I try to open it which says something like:
'unable to allocate 3GB memory for FBAttributeSegment'
The actually figure is over 3GB but of course on a 32 bit version of windows it is physically impossible to allocate that amount of memory (even with the /3GB in boot.ini hack)
I've performed various dynamic simulations as well as animations within the assembly so I'm thinking that perhaps its trying to allocate that huge amount of memory for a saved state of one of those.
What FBAtributeSegment might be and whether there is any special way to save an assembly to avoid this problem? The name FBAttributeSegment doesn't correspond to any part or assembly names.
I should also add that I have no problem opening it in a 32 bit version of Fusion which again suggests to me that it is something like simulation or animation that is causing this
why when i want to import file sketchup by type "IMPORTSKP" in commadline box, i can't import file sketchup into autocad because AutoCad Error Aborting and fatal error, and after that my autocad suddenly closed by it self, so i can't use my auto cad.
View 3 Replies View RelatedIn ACAD 2013, everytime I try to sync my settings to "the cloud", the pull down menu reads "Customization Syn - Error". I am signed in OK to Autodesk 360. Stand alone 64 bit installation on a single machine.
View 2 Replies View RelatedI could not print, save, make any changes to one particular drawing which was created ion Autocad 2013. Whenever I tried to work on the file attached error message pops up and Autocad program gets closed.
View 7 Replies View Relatedi get the following error msg "an autodesk product failed to send the required value for UPITOKEN. the error report sent to autodesk may be incomplete." and then another one also come "FATAL ERROR: unhandled e06d7363h exception at 75b19617h". then finally close.
View 3 Replies View RelatedWhen I search in content explorer it work just fine but when I click on a drawing to open it acts like its opening but right at the end it says Error Decrypting Data and wont open I've tried to look for a solution and I cant find anything.
View 6 Replies View RelatedI use the following code to redefine a block:
objBlockTable = (BlockTable)objTransactionManager.GetObject(objDatabaseSource.BlockTableId, OpenMode.ForRead, false);
structObjectId = objBlockTable[strBlockName];
objBlockTableRecord = (BlockTableRecord)objTransactionManager.GetObject(structObjectId, OpenMode.ForRead, false);
objObjectIdCollection.Add(structObjectId);
objIdMapping = new IdMapping();
objDatabaseSource.WblockCloneObjects(objObjectIdCollection, objDatabase.BlockTableId, objIdMapping, DuplicateRecordCloning.Replace, false);
It works for normal blocks but it does not redefine dymanic blocks. Is there a way to redefine dynamic blocks?
I created a temporary override key in the CUI and assigned a new command to F1. Used to (in other versions of autocad), all was well and it worked great. But for some reason it still invokes the Help command.
When I press the F1 key, my goal is to toggle osnap and ortho at the same time. It does do this, but it also brings up the stupid help menu.
Here is the macro I am using for the override:
^P'_.osmode $M=$(if,$(and,$(getvar,osmode),16384),$(-,$(getvar,osmode),16384),$(+,$(getvar,osmode),16384))
^P'_.orthomode $M=$(if,$(and,$(getvar,orthomode),1),$(-,$(getvar,orthomode),1),$(+,$(getvar,orthomode),1))
Now that we have switched most of our users over to 2013, we are receiving this error - only randomly, not on most drawings - but until it is resolved, we cannot batch plot, publish, because it dumps the plot. Here's a clip of the error we're receiving. When I run a Recover, it doesn't resolve the issue.
View 6 Replies View RelatedWhen ever I want to change the sketch plane for a already finished sketch, I use rmb, redefine and choose new plane/ planar face.
Why does the sketch position change from the original coordinate point when redefined to new plane?
Inventor Professional 2013
Vault Collaboration 2013
I'm trying to set up a company layer structure and want to use LISP. Therefore I'd like to use a template file and set every layer with it's specific linetype and color there. If I change something in the template, say the color of a layer, it should update this in the drawing when I hit the LISP command.
View 9 Replies View RelatedIs it possible to redefine a subassembly's Code? For example, the built-in "Primary Road Fill Section" assembly's Curb and Gutter subassembly uses Pave1 and SubBase for the Shape Codes; however, most curb is PCC on top of AB not subbase. Since the hatch SubBase is defined in the style and applied to the entire Assembly, it makes it so the curb and gutter is built on Subbase not AB along with the roadway's AC & AB. How can I change the curb's code to be Pave1 on top of Base? Do I have to use MSVB?
View 1 Replies View RelatedI've written a script that improves the default "ID" command, but it's not working.
I was able to redefine the "DI" command.